<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import {
  CTA as CallToAction,
  Copy,
  Table as SlpTable,
} from '../components/common/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  components: {
    SlpTable,
    CallToAction,
    Copy,
  },
  nuxtI18n: false,
  async asyncData({ $content }) {
    const doc = await $content('terms').fetch();
    return { doc };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
});
</script>

<template>
  <SlpContainer>
    <component
      :is="component.name"
      v-for="component in doc.components"
      :key="component.name"
      :data="component.data"
    />
  </SlpContainer>
</template>

<style>
/* Custom styles for this page only */
hr.slp-hr {
  margin-bottom: 0 !important;
}

.container {
  margin-bottom: 24px;
  width: 80%;
  margin-left: auto !important;
  margin-right: auto !important;
}
</style>
